commit:     85e49ca2398f187b8a60295fa531a11700cd9bf8
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 12 19:29:10 2016 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Fri Aug 12 19:32:43 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=85e49ca2

media-tv/dvbstream: new revision respecting LDFLAGS.

This is a new revision with an update to EAPI=6 and a little ebuild
cleanup. Some missing die() statements were added, and some file
copying was avoided by using the newbin/newdoc helpers. Most
importantly, Michael Mair-Keimberger's fix to support LDFLAGS was
incorporated.

I built the package on amd64, so I've keyworded it ~amd64 as well.

Gentoo-Bug: 337327

Package-Manager: portage-2.2.28

 .../dvbstream/dvbstream-0.7_pre20080516-r1.ebuild  | 66 ++++++++++++++++++++++
 1 file changed, 66 insertions(+)

diff --git a/media-tv/dvbstream/dvbstream-0.7_pre20080516-r1.ebuild 
b/media-tv/dvbstream/dvbstream-0.7_pre20080516-r1.ebuild
new file mode 100644
index 0000000..93eae02
--- /dev/null
+++ b/media-tv/dvbstream/dvbstream-0.7_pre20080516-r1.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="RTP multicast stream server and other tools for DVB cards"
+HOMEPAGE="https://sourceforge.net/projects/dvbtools";
+MY_P="${PN}-snapshot-20080302"
+SRC_URI="mirror://gentoo/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="dev-lang/perl"
+DEPEND="virtual/linuxtv-dvb-headers"
+
+S="${WORKDIR}/${PN}"
+
+PATCHES=(
+       "${FILESDIR}/${P}-update.diff"
+       "${FILESDIR}/${PN}-0.7_pre20080302-telnet-port-switch.diff"
+)
+
+src_prepare() {
+       default
+
+       sed -i Makefile \
+               -e 's:$(CFLAGS):$(CFLAGS) $(CPPFLAGS):' \
+               -e '/CFLAGS.*=.*-g -Wall -O2/s:-g -Wall -O2::' \
+               -e '/CFLAGS.*=/s:CFLAGS:CPPFLAGS:' \
+               -e 's:-I \.\./DVB/include:-I /usr/include:' \
+               -e 's:$(CC):$(CC) $(LDFLAGS):g' \
+               || die 'failed to fix flags in the Makefile'
+
+       sed -e 's:\./svdrpsend.pl:dvbstream-send.pl:' \
+               -i TELNET/*.sh \
+               || die 'failed to rename the svdrpsend.pl command in scripts'
+
+       sed -e 's:^DUMPRTP=.*$:DUMPRTP=dumprtp:' \
+               -e 's:^TS2ES=.*$:TS2ES=ts2es:' \
+               -i *.sh \
+               || die 'failed to set DUMPRTP and TS2ES in scripts'
+}
+
+src_compile() {
+       emake CC="$(tc-getCC)" LDFLAGS="${LDFLAGS}"
+}
+
+src_install() {
+       dobin dvbstream dumprtp rtpfeed ts_filter
+       newbin TELNET/svdrpsend.pl dvbstream-send.pl
+
+       dodoc README*
+       newdoc TELNET/README README.telnet
+
+       insinto "/usr/share/doc/${PF}/tune"
+       doins TELNET/*.sh
+
+       insinto "/usr/share/doc/${PF}/multicast"
+       doins *.sh
+}

Reply via email to